## org.eclipse.amp.amf.testing.services
Class ATestGrammarAccess.TestsElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.testing.services.ATestGrammarAccess.TestsElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  ATestGrammarAccess

    public class ATestGrammarAccess.TestsElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ATestGrammarAccess.TestsElements()`

Method Summary
`org.eclipse.xtext.Assignment` `getImportURIAssignment()`
`org.eclipse.xtext.RuleCall` `getImportURISTRINGTerminalRuleCall_0()`
`org.eclipse.xtext.ParserRule` `getRule()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestGrammarAccess.TestsElements

    public ATestGrammarAccess.TestsElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getImportURIAssignment

    public org.eclipse.xtext.Assignment getImportURIAssignment()

### getImportURISTRINGTerminalRuleCall_0

    public org.eclipse.xtext.RuleCall getImportURISTRINGTerminalRuleCall_0()